=== debian/control ===
Source: ros-lunar-visp-camera-calibration
Section: misc
Priority: extra
Maintainer: Fabien Spindler <Fabien.Spindler@inria.fr>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-camera-calibration-parsers, ros-lunar-catkin, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-visp, ros-lunar-visp-bridge
Homepage: http://wiki.ros.org/visp_camera_calibration
Standards-Version: 3.9.2

Package: ros-lunar-visp-camera-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-camera-calibration-parsers, ros-lunar-geometry-msgs, ros-lunar-message-generation, ros-lunar-message-runtime, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-msgs, ros-lunar-visp, ros-lunar-visp-bridge
Description: visp_camera_calibration allows easy calibration of cameras using a customizable pattern and ViSP library.
